Bug 1308688 - Selected wrong driver for Samsung CLP-310
Selected wrong driver for Samsung CLP-310
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
23
x86_64 All
unspecified Severity medium
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 13:14 EST by Justin Moore
Modified: 2016-12-20 13:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:44:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CUPS troubleshoot log (30.75 KB, text/plain)
2016-02-15 13:14 EST, Justin Moore
no flags Details
CUPS journalctl activity for printing the test page (136.37 KB, text/plain)
2016-02-15 13:15 EST, Justin Moore
no flags Details

  None (edit)
Description Justin Moore 2016-02-15 13:14:20 EST
Created attachment 1127391 [details]
CUPS troubleshoot log

Description of problem:

I did a fresh install of Fedora 23 and attempted to print a test document to my Samsung CLP-310 printer, connected via USB. The printer whirs to life and Cups claims success, but nothing prints.

Version-Release number of selected component (if applicable):

Kernel 4.2.8-300.fc23.x86_64
Cups 2.1.3-1.fc23

How reproducible:

100%

Steps to Reproduce:
1. Clean install of Fedora 23
2. Print test page

Actual results:

Printer hangs with Printer State status of "Idle - Sending data to printer"

Expected results:

Printed test page.

Additional info:

This exact same hardware was working under Fedora 20, but it got EOL'ed and I figured upgrading to 23 would be fine. Apparently not.

I did the CUPS troubleshooting tool and it said there was nothing it could figure out. I've attached the status page it provided.
Comment 1 Justin Moore 2016-02-15 13:15 EST
Created attachment 1127392 [details]
CUPS journalctl activity for printing the test page

Here's

journalctl -u cups --since "2016-02-15 13:10:00"
Comment 2 Jiri Popelka 2016-02-16 06:51:48 EST
(In reply to Justin Moore from comment #0)
> Created attachment 1127391 [details] (CUPS troubleshoot log)
> 'printer-make-and-model': 'Samsung CLP-350 Series PS'

Problem is that the printer has been configured to use CLP-350 drivers, even there are drivers for CLP-310 in splix and foo2qpdl packages.

You can install splix and/or foo2qpdl packages and then change the driver/Model
in Settings->Printers.
Comment 3 Jiri Popelka 2016-02-16 06:55:10 EST
# python3 -c "import cupshelpers; cupshelpers.xmldriverprefs.test(xml_path='/etc/cupshelpers/',deviceid='MFG:Samsung;CMD:SPLC;MDL:CLP-310 Series;CLS:PRINTER;STATUS:IDLE;')"

1  Samsung-CLP-315.ppd.gz
    (manufacturer-cmd, exact-cmd)
2  foomatic:Samsung-CLP-315-foo2qpdl.ppd
    (foomatic-recommended-nonpostscript, exact-cmd)
3  drv:///splix/splix-samsung.drv/clp310.ppd
    (splix, exact-cmd)
4  foomatic:Samsung-CLP-310-foo2qpdl.ppd
    (foomatic, exact)

# rpm -q --provides splix
postscriptdriver(samsung;clp-310_series;)

# rpm -q --provides foo2qpdl
postscriptdriver(samsung;clp-310_series;)
Comment 4 Justin Moore 2016-02-16 10:41:06 EST
I installed the splix and foo2qpdl packages and updated the driver to the Samsung CLP-315 model. Printing now works.

Leaving this open for now to see if there's any fixes to be applied to the install/detection process to let other CLP-31[05] owners know what to do in this situation.

Thank you.
Comment 5 Jiri Popelka 2016-05-18 04:14:15 EDT
Upstream pull request:
https://github.com/twaugh/system-config-printer/pull/39
Comment 6 Fedora Admin XMLRPC Client 2016-06-24 06:41:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Michael Abbott 2016-08-15 06:54:04 EDT
I would like to report the same bug for a slightly different printer and with a workaround:

1. On a clean install if I use the printer manager tool to install my CLX-3175 printer, the printer appears to install ok, but prints nothing.

However:

2. If the foo2qpdl package has been installed before installing the printer through the printer manager tool then I get a working printer.

So: whatever algorithm is used by the printer manager tool to install the printer is wrong, and the resulting failed printer is very difficult to diagnose -- using system-config-printer as suggested by one Fedora help page basically produced the response "sorry, can't help".

On the other hand, an easy workaround is to install foo2qpdl first ... if only I'd known!

P.S.  The colour profile for this printer is *dreadful*, but guess that's a totally unrelated issue!
Comment 8 Fedora End Of Life 2016-11-24 10:35:13 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 13:44:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.